/*
 * This file is part of xsoundtrack - a sound tracker for Linux.
 * Sed - july august september 1998.
 * This is total free software.
 *-------------------------------------
 * The sample editing : definitions
 */

#ifndef _SUB_SAMPLE_H_
#define _SUB_SAMPLE_H_

#include <X11/keysym.h>

#include "interface.h"
#include "xm.h"

extern void (*sample_exit_subwin[3][16])(INTERFACE *, sample *);
extern void (*sample_enter_subwin[3][16])(INTERFACE *, sample *);
extern void (*sample_subwin[3][16])(INTERFACE *, sample *, KeySym);

/* somes defines */
#define XI (-1)
#define YI (4+(128+8)+4+13+4+18+4-5)
#define XFR (-1+148-6*6+4)
#define XVP (-1+148-6*6+4+148-6*6+3*6-4*6+4)
#define XHS (-1+148-6*6+4+148-6*6+3*6-4*6+4+148-6*6+3*6-7*6+4)
#define XL (XHS+148-6*6+3*6-7*6-3*6-2+5+4)
#define XFS (-1+148-8*6+4)
#define XMI (XFS+148-6*6+3*6-2*6+4+5+6)
#define YV (YI+18+4)
#define XG (XMI+6*20+8+10+4+20)
#define XBOZ		(50)
#define XDEP		(8)
#define YDEP		(63+4+4)
#define HAUTEUR		(YI+5+74+4)
#define LARGEUR		(512+8+8)

#endif /* _SUB_SAMPLE_H_ */
